MediaWiki:Gadget-Colors.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Kuhlau (talk | contribs)
No edit summary
 
(2 intermediate revisions by the same user not shown)
Line 1: Line 1:
/** Root **/
/** Root **/
:root, .wgl-lightmode, .wgl-theme-light {
:root, .wgl-lightmode, .wgl-theme-light {
--theme-accent-color: #47cab2;
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-page-text-color: #43403D;
     --theme-page-text-color: #43403D;
     --theme-page-text-color-inverse: #FFFFFF;
     --theme-page-text-color-inverse: #FFFFFF;
    --theme-link-color: #a65000;
     --theme-border-color: #CECECE !important;
     --theme-border-color: #CECECE !important;
    --theme-page-background-color: #fff;
     --theme-page-background-color--secondary: #f2f2f2;
     --theme-page-background-color--secondary: #f2f2f2;
    --background-color-neutral-subtle: #f8f9fa;
      
      
     --group-color: var(--theme-color-5);
     --group-color: var(--theme-color-5);
Line 86: Line 90:


:root .wgl-darkmode , :root .wgl-theme-dark {
:root .wgl-darkmode , :root .wgl-theme-dark {
--theme-accent-color: #47cab2;
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-accent-color--rgba: 71, 202, 178;
     --theme-page-text-color: #FFFFFF;
     --theme-page-text-color: #FFFFFF;
     --theme-page-text-color-inverse: #3d4342;
     --theme-page-text-color-inverse: #3d4342;
--theme-link-color: #4cc2ad;
     --theme-border-color: var(--theme-color-7) !important;
     --theme-border-color: var(--theme-color-7) !important;
    --theme-page-background-color: #111a20;
     --theme-page-background-color--secondary: var(--theme-color-6);
     --theme-page-background-color--secondary: var(--theme-color-6);
    --background-color-neutral-subtle: #1b1c1c;
      
      
     --group-color: var(--theme-accent-color);
     --group-color: var(--theme-accent-color);
Line 172: Line 180:
     --desc-content: #bf8c4015;     
     --desc-content: #bf8c4015;     
}
}
/* Skin-specific */
:root {
--background-color-base: var(--theme-page-background-color);
--color-base: var(--theme-page-text-color);
--border-base: var(--theme-border-color);
}


/* Style scrollbars to match wiki theme */
/* Style scrollbars to match wiki theme */
#content { scrollbar-color: var(--theme-link-color) var(--theme-body-background-color); }
#content {
scrollbar-color: var(--theme-link-color) var(--theme-body-background-color);
}


/* Darker version of alert */
/* Darker version of alert */